Subject: Re: [PATCH v3] net: ipv4: add IPPROTO_ICMP socket kind

From: Andi Kleen <[email-masked]>
Date: Fri, 13 May 2011 14:30:43 -0700

Vasiliy Kulikov <[email-masked]> writes:

> This patch adds IPPROTO_ICMP socket kind.  It makes it possible to send
> ICMP_ECHO messages and receive the corresponding ICMP_ECHOREPLY messages
> without any special privileges.  In other words, the patch makes it
> possible to implement setuid-less and CAP_NET_RAW-less /bin/ping.  In
> order not to increase the kernel's attack surface, the new functionality
> is disabled by default, but is enabled at bootup by supporting Linux
> distributions, optionally with restriction to a group or a group range
> (see below).

You'll need to do a manpage patch too. Otherwise noone will know how to use
it.

-Andi

-- 
[email-masked] -- Speaking for myself only